This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use Stack Overflow.

problem in motilee package

Other symfony projects

problem in motilee package

by gaurangrajvir » Fri Jun 20, 2008 9:39 am

Hello,

i have download motilee project and it is working properly and i also insert test data using
symfony propel-load-data frontend....

but now i want some other data as a test data and i m running this command "symfony propel-dump-data frontend fixture"
but it gives following errors..

error:

symfony propel-dump-data frontend fixture
>> propel dumping data to "/home/gaurang/...motileeG/data/fixtures/fixture"
Segmentation fault


please help me
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package with symfony propel-dump-data

by gaurangrajvir » Fri Jun 20, 2008 11:34 am

please help me....
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package

by halfer » Mon Jun 23, 2008 11:12 am

Not enough information here to go on. What operating system are you on? Version of PHP? Version of symfony?
halfer
Faithful Member
 
Posts: 10148
Joined: Mon Jan 30, 2006 1:16 pm
Location: West Midlands, UK

Re: problem in motilee package

by gaurangrajvir » Mon Jun 23, 2008 1:40 pm

symfony version is 1.0.10
php 5

and getting problem when use a symfony propel-dump-data...


there is error like

symfony propel-dump-data frontend test
>> propel dumping data to "/home/gaurang/web/motileeG/data/fixtures/test"
Segmentation fault



this is error i m getting..

Thanks, for reply
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package

by halfer » Tue Jun 24, 2008 1:26 pm

Well, PHP 5 is a given - what version of PHP 5? 5.00? 5.25? If it is not the latest version, try upgrading it?
halfer
Faithful Member
 
Posts: 10148
Joined: Mon Jan 30, 2006 1:16 pm
Location: West Midlands, UK

Re: problem in motilee package

by gaurangrajvir » Tue Jun 24, 2008 1:36 pm

php version is 5.1.6

but i think it is not related to version problem....

because in symfony command i have get error....

and motillee package is working properly but when i try make yml file of test data with propel dump-data command it will give
segmentation fault error...

so please help me

Thanks, for reply
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package

by halfer » Thu Jun 26, 2008 4:40 pm

OK, but you need to understand that a "segmentation fault" is a serious bug - in effect, a system crash. This should never, ever happen, with PHP or any other scripting language. That it does means that there is a very low-level bug in PHP, or perhaps a conflict between this and another part of your system (database module etc.).

So, I recommend to you again, upgrade your version of PHP. Alternatively, disable any optimisers or accelerators you might be using.
halfer
Faithful Member
 
Posts: 10148
Joined: Mon Jan 30, 2006 1:16 pm
Location: West Midlands, UK

Re: problem in motilee package

by gaurangrajvir » Mon Jul 07, 2008 11:57 am

Hello all



i want to run "symfony propel-load-data frontend" in motillee package which i have downloaded in here in my local computer... but it give segmentation error...

pls help me to solve this...



symfony propel-dump-data frontend testData
>> propel dumping data to "/home/gaurang/...iClient/data/fixtures/testData"

Segmentation fault

[[url=mailto:gaurang@vi110]gaurang@vi110[/url] demiClient]$

getting this error


Thanks in advance
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package

by halfer » Wed Jul 16, 2008 10:26 am

You haven't followed my recommendations, have you?
halfer
Faithful Member
 
Posts: 10148
Joined: Mon Jan 30, 2006 1:16 pm
Location: West Midlands, UK

Re: problem in motilee package

by gaurangrajvir » Fri Jul 25, 2008 4:09 pm

hello,,

i followed but didnt succeed... :(~ :-(~ :sad:

dont know what to do....
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package

by halfer » Fri Jul 25, 2008 10:12 pm

So are you now on PHP 5.2.x?
halfer
Faithful Member
 
Posts: 10148
Joined: Mon Jan 30, 2006 1:16 pm
Location: West Midlands, UK

Re: problem in motilee package

by gaurangrajvir » Sat Jul 26, 2008 1:34 pm

yes.. i have....
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package

by halfer » Mon Jul 28, 2008 10:33 am

That you are getting the same error makes me think that the new version of PHP is not being used. If you type "php -v" at your command line, what do you get?
halfer
Faithful Member
 
Posts: 10148
Joined: Mon Jan 30, 2006 1:16 pm
Location: West Midlands, UK

Re: problem in motilee package

by gaurangrajvir » Thu Aug 21, 2008 11:39 am

hello halfer

thanks for reply...

i have got following when run php -v


$ php -v
PHP 5.1.6 (cli) (built: Sep 20 2007 10:04:27)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies


Thanks,
User avatar
gaurangrajvir
Senior Member
 
Posts: 192
Joined: Wed May 16, 2007 7:51 am
Location: RAJKOT

Re: problem in motilee package

by halfer » Thu Aug 21, 2008 2:45 pm

OK, now edit your system path so that when you type "php -v" you get the new version you just installed, rather than the old one (5.1.6).
halfer
Faithful Member
 
Posts: 10148
Joined: Mon Jan 30, 2006 1:16 pm
Location: West Midlands, UK

Re: problem in motilee package

by jamiel » Mon May 04, 2009 4:20 pm

Also try disabling any extensions you have loaded. I found an error in xdebug was giving me this exact issue.
Follow me on Twitter: http://twitter.com/jrlearmonth
jamiel
Junior Member
 
Posts: 9
Joined: Wed Sep 10, 2008 12:12 pm
Location: London, United Kingdom